@import './variables';
@import './functions';

body {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
}

a {
    text-decoration: none;
    color: $text-color;
    transition: 300ms;
    &:hover {
        color: $text-color;
    }
    /* &:visited {
        color: $text-color;
    } */
    &:active {
        color: $text-color;
    }
}

.external-link {
    position: relative;
    color: $accent-color;
    z-index: 1;
    &:hover {
        color: $accent-color;
        text-decoration: underline;
    }
}

img {
    width: 100%;
    height: auto;
}

p, .paragraph {
    margin-bottom: get-vw(20px);
    @media (max-width: 799px) {
        margin-bottom: vw-m(10px);
    }
}

.container {
    display: flex;
    flex-direction: column;
    width: 100%;
    min-height: 100vh;
    margin: 0 auto;
    @media (max-width: 799px) {
      background: linear-gradient(to bottom, #ffffff 0%,#f3f3f3 100%);
    }
}

.accent-text {
    padding: 0 5px;
    background-color: $accent-color;
    color: #FFFFFF;
}

.title-h1 {
    font-size: get-rem(42px);
    line-height: get-rem(55px);
    text-align: center;
    letter-spacing: 0.01em;
    color: #FFFFFF;
    @media (max-width: 799px) {
        font-size: 30px;
    }
}

.simple-text {
    font-size: get-rem(18px);
    line-height: get-rem(32px);
    text-align: center;
    letter-spacing: 0.01em;
    color: $text-color;
    @media (max-width: 799px) {
        font-size: 18px;
        line-height: 32px;
    }
}

.slick-slide, .slick-slide *{ outline: none !important; }